# endpoint group

A endpoint group is used to create groups of endpoints that then can be used to filter the endpoints that are available to a project. Applicable to Identity v3

## endpoint group add project

Add a project to an endpoint group

    openstack endpoint group add project
        [--project-domain <project-domain>]
        <endpoint-group>
        <project>

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

endpoint-group

  Endpoint group (name or ID)

project

  Project to associate (name or ID)

## endpoint group create

Create new endpoint group

    openstack endpoint group create
        [--description DESCRIPTION]
        <name>
        <filename>

--description <DESCRIPTION>

  Description of the endpoint group

name

  Name of the endpoint group

filename

  Filename that contains a new set of filters

## endpoint group delete

Delete endpoint group(s)

    openstack endpoint group delete <endpoint-group> [<endpoint-group> ...]

endpoint-group

  Endpoint group(s) to delete (name or ID)

## endpoint group list

List endpoint groups

    openstack endpoint group list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--endpointgroup
        <endpoint-group>
        |
        --project <project>
        ]
        [--domain <domain>]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--endpointgroup <endpoint-group>

  Endpoint Group (name or ID)

--project <project>

  Project (name or ID)

--domain <domain>

  Domain owning <project> (name or ID)

## endpoint group remove project

Remove project from endpoint group

    openstack endpoint group remove project
        [--project-domain <project-domain>]
        <endpoint-group>
        <project>

--project-domain <project-domain>

  Domain the project belongs to (name or ID). This can be used in case collisions between project names exist.

endpoint-group

  Endpoint group (name or ID)

project

  Project to remove (name or ID)

## endpoint group set

Set endpoint group properties

    openstack endpoint group set
        [--name <name>]
        [--filters <filename>]
        [--description <description>]
        <endpoint-group>

--name <name>

  New endpoint group name

--filters <filename>

  Filename that contains a new set of filters

--description <description>

  New endpoint group description

endpoint-group

  Endpoint Group to modify (name or ID)

## endpoint group show

Display endpoint group details

    openstack endpoint group show <endpointgroup>

endpointgroup

  Endpoint group (name or ID)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.